<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__bt__rfcomm_8h" kind="file" language="C++">
    <compoundname>wiced_bt_rfcomm.h</compoundname>
    <briefdescription>
<para>Bluetooth RFCOMM Application Programming Interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_bt_dev.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="27"><highlight class="comment"><sp />*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Constants<sp />and<sp />Type<sp />definitions</highlight></codeline>
<codeline lineno="28"><highlight class="comment"><sp />******************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />wiced_bt_rfcomm_port_event_e</highlight></codeline>
<codeline lineno="32"><highlight class="normal">{</highlight></codeline>
<codeline lineno="33"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_NONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000000,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="34"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_RXCHAR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000001,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="35"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_RXFLAG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000002,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="36"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_TXEMPTY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000004,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="37"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_CTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000008,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_DSR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000010,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_RLSD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000020,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_BREAK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000040,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="41"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_ERR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000080,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_RING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000100,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_CTSS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000400,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_DSRS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000800,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_RLSDS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00001000,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_OVERRUN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00002000,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_CONNECTED<sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00000200,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_CONNECT_ERR<sp /><sp /><sp /><sp /><sp />=<sp />0x00008000,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_FC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00010000,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_EV_FCS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00020000,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="51"><highlight class="normal">}<sp />wiced_bt_rfcomm_port_event_t;</highlight></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />PORT_MASK_ALL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(PORT_EV_RXCHAR<sp />|<sp />PORT_EV_TXEMPTY<sp />|<sp />PORT_EV_CTS<sp />|<sp />\</highlight></codeline>
<codeline lineno="55"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PORT_EV_DSR<sp />|<sp />PORT_EV_RLSD<sp />|<sp />PORT_EV_BREAK<sp />|<sp />\</highlight></codeline>
<codeline lineno="56"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PORT_EV_ERR<sp />|<sp />PORT_EV_RING<sp />|<sp />PORT_EV_CONNECT_ERR<sp />|<sp />\</highlight></codeline>
<codeline lineno="57"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PORT_EV_DSRS<sp />|<sp />PORT_EV_CTSS<sp />|<sp />PORT_EV_RLSDS<sp />|<sp />\</highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PORT_EV_RXFLAG<sp />|<sp />PORT_EV_OVERRUN<sp />|<sp />\</highlight></codeline>
<codeline lineno="59"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PORT_EV_FC<sp />|<sp />PORT_EV_FCS<sp />|<sp />PORT_EV_CONNECTED)</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="keyword">enum</highlight><highlight class="normal"><sp />wiced_bt_rfcomm_result_e</highlight></codeline>
<codeline lineno="63"><highlight class="normal">{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_SUCCESS,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_ERROR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_ALREADY_OPENED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_CMD_PENDING,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_APP_NOT_REGISTERED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_NO_MEM,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_NO_RESOURCES,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_BAD_BD_ADDR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_INVALID_MTU,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_BAD_HANDLE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_NOT_OPENED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_LINE_ERR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_START_FAILED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_PAR_NEG_FAILED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_RFCOMM_NEG_FAILED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_PEER_CONNECTION_FAILED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_PEER_FAILED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_PEER_TIMEOUT,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_CLOSED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_TX_FULL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_LOCAL_CLOSED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_LOCAL_TIMEOUT,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_TX_QUEUE_DISABLED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_PAGE_TIMEOUT,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp />WICED_BT_RFCOMM_INVALID_SCN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="normal">};</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />wiced_bt_rfcomm_result_t;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="keyword">enum</highlight><highlight class="normal"><sp />wiced_bt_rfcomm_signal_e</highlight></codeline>
<codeline lineno="94"><highlight class="normal">{</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_SET_DTRDSR=0x01,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_CLR_DTRDSR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_SET_CTSRTS,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_CLR_CTSRTS,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_SET_RI,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_CLR_RI,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_SET_DCD,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_CLR_DCD,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp />PORT_BREAK,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="104"><highlight class="normal">};</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />uint8_t<sp />wiced_bt_rfcomm_signal_t;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="113"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(wiced_bt_port_mgmt_cback_t)<sp />(wiced_bt_rfcomm_result_t<sp />code,<sp />uint16_t<sp />port_handle);</highlight></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(wiced_bt_port_event_cback_t)<sp />(wiced_bt_rfcomm_port_event_t<sp />event,<sp />uint16_t<sp />port_handle);</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(wiced_bt_port_tx_cback_t)(uint16_t<sp />port_handle,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*p_data);</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="132"><highlight class="comment"><sp />*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Function<sp />Declarations</highlight></codeline>
<codeline lineno="133"><highlight class="comment"><sp />******************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal">{</highlight></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_create_connection<sp />(uint16_t<sp />uuid,<sp />uint8_t<sp />scn,</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />is_server,<sp />uint16_t<sp />mtu,</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*p_handle,</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_port_mgmt_cback_t<sp />*p_mgmt_cb);</highlight></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_remove_connection<sp />(uint16_t<sp />handle,<sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />remove_server);</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_set_event_callback<sp />(uint16_t<sp />port_handle,<sp />wiced_bt_port_event_cback_t<sp />*p_port_cb,</highlight></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_port_tx_cback_t<sp />*p_tx_cmpl_cb);</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_set_event_mask<sp />(uint16_t<sp />port_handle,<sp />wiced_bt_rfcomm_port_event_t<sp />mask);</highlight></codeline>
<codeline lineno="221"><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_control<sp />(uint16_t<sp />handle,<sp />uint8_t<sp />signal);</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_flow_control<sp />(uint16_t<sp />handle,<sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />enable);</highlight></codeline>
<codeline lineno="250"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_set_rx_fifo<sp />(uint16_t<sp />handle,<sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*p_mem,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_read_data(uint16_t<sp />handle,<sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*p_data,<sp />uint16_t<sp />max_len,<sp />uint16_t<sp />*p_len);</highlight></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_write_data<sp />(uint16_t<sp />handle,<sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*p_data,<sp />uint16_t<sp />max_len<sp />);</highlight></codeline>
<codeline lineno="293"><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="normal">wiced_bt_rfcomm_result_t<sp />wiced_bt_rfcomm_check_connection<sp />(uint16_t<sp />handle,<sp /><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />uint16_t<sp />*p_lcid);</highlight></codeline>
<codeline lineno="306"><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="normal" /></codeline>
<codeline lineno="308"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal">}</highlight></codeline>
<codeline lineno="310"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_rfcomm.h" />
  </compounddef>
</doxygen>